---@enum EAutoMapChainType
local EAutoMapChainType = {
    Exact = 0,
    Fuzzy = 1,
    Clear = 2,
    EAutoMapChainType_MAX = 3,
}

---@enum EBasicAxis
local EBasicAxis = {
    X = 0,
    Y = 1,
    Z = 2,
    NegX = 3,
    NegY = 4,
    NegZ = 5,
    EBasicAxis_MAX = 6,
}

---@enum ECopyOpSettingsContext
local ECopyOpSettingsContext = {
    PreInitialize = 0,
    Runtime = 1,
    ECopyOpSettingsContext_MAX = 2,
}

---@enum EFKChainRotationMode
local EFKChainRotationMode = {
    Interpolated = 0,
    OneToOne = 1,
    OneToOneReversed = 2,
    MatchChain = 3,
    MatchScaledChain = 4,
    None = 5,
    EFKChainRotationMode_MAX = 6,
}

---@enum EFKChainTranslationMode
local EFKChainTranslationMode = {
    None = 0,
    GloballyScaled = 1,
    Absolute = 2,
    StretchBoneLengthUniformly = 3,
    StretchBoneLengthNonUniformly = 4,
    EFKChainTranslationMode_MAX = 5,
}

---@enum EIKRigGoalSpace
local EIKRigGoalSpace = {
    Component = 0,
    Additive = 1,
    World = 2,
    EIKRigGoalSpace_MAX = 3,
}

---@enum EIKRigGoalTransformSource
local EIKRigGoalTransformSource = {
    Manual = 0,
    Bone = 1,
    ActorComponent = 2,
    EIKRigGoalTransformSource_MAX = 3,
}

---@enum EPinBoneRotationMode
local EPinBoneRotationMode = {
    CopyGlobalRotation = 0,
    MaintainOffsetFromBoneToCopyFrom = 1,
    EPinBoneRotationMode_MAX = 2,
}

---@enum EPinBoneTranslationMode
local EPinBoneTranslationMode = {
    CopyGlobalPosition = 0,
    CopyLocalPosition = 1,
    CopyLocalPositionRelativeOffset = 2,
    CopyLocalPositionRelativeScaled = 3,
    CopyGlobalPositionAndMaintainOffset = 4,
    EPinBoneTranslationMode_MAX = 5,
}

---@enum EPinBoneType
local EPinBoneType = {
    FullTransform = 0,
    TranslateOnly = 1,
    RotateOnly = 2,
    ScaleOnly = 3,
    EPinBoneType_MAX = 4,
}

---@enum ERetargetRotationMode
local ERetargetRotationMode = {
    Interpolated = 0,
    OneToOne = 1,
    OneToOneReversed = 2,
    MatchChain = 3,
    MatchScaledChain = 4,
    None = 5,
    ERetargetRotationMode_MAX = 6,
}

---@enum ERetargetSourceMode
local ERetargetSourceMode = {
    ParentSkeletalMeshComponent = 0,
    CustomSkeletalMeshComponent = 1,
    SourcePosePin = 2,
    ERetargetSourceMode_MAX = 3,
}

---@enum ERetargetSourceOrTarget
local ERetargetSourceOrTarget = {
    Source = 0,
    Target = 1,
    ERetargetSourceOrTarget_MAX = 2,
}

---@enum ERetargetTranslationMode
local ERetargetTranslationMode = {
    None = 0,
    GloballyScaled = 1,
    Absolute = 2,
    StretchBoneLengthUniformly = 3,
    StretchBoneLengthNonUniformly = 4,
    ERetargetTranslationMode_MAX = 5,
}

---@enum ERootMotionHeightSource
local ERootMotionHeightSource = {
    CopyHeightFromSource = 0,
    SnapToGround = 1,
    ERootMotionHeightSource_MAX = 2,
}

---@enum ERootMotionSource
local ERootMotionSource = {
    CopyFromSourceRoot = 0,
    GenerateFromTargetPelvis = 1,
    ERootMotionSource_MAX = 2,
}

---@enum EWarpingDirectionSource
local EWarpingDirectionSource = {
    Goals = 0,
    Chain = 1,
    RootBone = 2,
    EWarpingDirectionSource_MAX = 3,
}

